package com.ruoyi.bst.mchApply.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MchApplyStatus {

    APPROVING("1"), // 审核中
    PASSED("2"), // 审核通过
    REJECTED("3") // 审核驳回
    ;

    private final String status;

    public static String getStatusByPass(boolean pass) {
        return pass ? PASSED.getStatus() : REJECTED.getStatus();
    }


}
